Name: bitcoin
Summary: Bitcoin P2P Virtual Currency
Version: 0.14.0
Release: 1%{?dist}.1
Source0: https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
License: MIT
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Oleg Girko <ol@infoserver.lv>
Packager: Oleg Girko <ol@infoserver.lv>
Url: http://www.bitcoin.org/
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: tar
BuildRequires: desktop-file-utils
BuildRequires: openssl-devel
BuildRequires: boost-devel
BuildRequires: libevent-devel
BuildRequires: libdb4-cxx-devel
BuildRequires: glib2-devel
BuildRequires: zlib-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qttools-devel
BuildRequires: miniupnpc-devel
BuildRequires: qrencode-devel
BuildRequires: protobuf-devel
BuildRequires: protobuf-compiler
BuildRequires: zeromq-devel

%description
Bitcoin is a peer-to-peer currency. Peer-to-peer means that no
central authority issues new money or tracks transactions.
These tasks are managed collectively by the network.

%package qt
Summary: GUI For Bitcoin P2P Virtual Currency
Group: Applications/Internet

%description qt
Bitcoin is a peer-to-peer currency. Peer-to-peer means that no
central authority issues new money or tracks transactions.
These tasks are managed collectively by the network.

This package contains GUI for using Bitcoin network.

%package libs
Summary: The shared consensus library for bitcoin P2P virtual currency
Group: Applications/Internet

%description libs
Bitcoin is a peer-to-peer currency. Peer-to-peer means that no
central authority issues new money or tracks transactions.
These tasks are managed collectively by the network.

This package contains consensus library for Bitcoin network.

%package devel
Summary: The bitcoin consensus library development files
Group: Development/Libraries

%description devel
Bitcoin is a peer-to-peer currency. Peer-to-peer means that no
central authority issues new money or tracks transactions.
These tasks are managed collectively by the network.

This package contains header and libraries needed to compile applications
using consensus library for Bitcoin network.

%prep
%setup -n %{name}-%{version}

%build
sh autogen.sh
%configure \
  --with-miniupnpc \
  --enable-upnp-default \
  --with-qrencode \
  --with-gui=qt5 \
  --with-qtdbus \
  CXXFLAGS="$RPM_OPT_FLAGS" \
make
sed "s|bitcoin128|bitcoin|g" \
 < contrib/debian/bitcoin-qt.desktop \
 > src/bitcoin-qt.desktop

%check
make check

%install
%make_install

install -m 644 -D src/qt/res/src/bitcoin.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/bitcoin.svg
desktop-file-install src/bitcoin-qt.desktop \
  --add-category=Network \
  --dir %{buildroot}%{_datadir}/applications

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/bitcoind
%{_bindir}/bitcoin-cli
%{_bindir}/bitcoin-tx
%{_bindir}/test_bitcoin
%{_bindir}/bench_bitcoin
%{_mandir}/man1/bitcoind.1*
%{_mandir}/man1/bitcoin-cli.1*
%{_mandir}/man1/bitcoin-tx.1*

%files qt
%defattr(-, root, root)
%{_bindir}/bitcoin-qt
%{_bindir}/test_bitcoin-qt
%{_datadir}/icons/hicolor/scalable/apps/bitcoin.svg
%{_datadir}/applications/bitcoin-qt.desktop
%{_mandir}/man1/bitcoin-qt.1*

%files libs
%defattr(-, root, root)
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%changelog
* Tue Mar  7 2017 Oleg Girko <ol@infoserver.lv> 0.14.0-1
- Update to 0.14.0
* Tue Jan  3 2017 Oleg Girko <ol@infoserver.lv> 0.13.2-1
- Update to 0.13.2
* Thu Oct 27 2016 Oleg Girko <ol@infoserver.lv> 0.13.1-1
- Update to 0.13.1
* Mon Aug 22 2016 Oleg Girko <ol@infoserver.lv> 0.13.0-1
- Update to 0.13.0
- Build with system openssl
* Tue Aug 18 2015 Oleg Girko <ol@infoserver.lv> 0.11.0-1
- Update to 0.11.0
- Switch GUI from Qt 4 to Qt 5
* Tue May 26 2015 Oleg Girko <ol@infoserver.lv> 0.10.2-1
- Update to 0.10.2
* Sun Apr 26 2015 Oleg Girko <ol@infoserver.lv> 0.10.1-1
- Update to 0.10.1
- Update openssl to 1.0.1m
- Run test suite
* Mon Feb 16 2015 Oleg Girko <ol@infoserver.lv> 0.10.0-1
- Update to 0.10.0
- Update openssl to 1.0.1l
* Fri Jan 16 2015 Oleg Girko <ol@infoserver.lv> 0.9.4-1
- Update to 0.9.4
* Sat Jan 10 2015 Oleg Girko <ol@infoserver.lv> 0.9.3-2
- Update openssl to 1.0.1k
* Fri Nov  7 2014 Oleg Girko <ol@infoserver.lv> 0.9.3-1
- Update to 0.9.3
- Update openssl to 1.0.1j
* Tue Jul  1 2014 Oleg Girko <ol@infoserver.lv> 0.9.2.1-1
- Update to 0.9.2.1
- Download tarball directly from Github
- Include openssl in SRPM and specify openssl version explicitly
- Update openssl to 1.0.1h
* Sun Dec 22 2013 Oleg Girko <ol@infoserver.lv> 0.8.6-2
- Rebuild for Fedora 20
- Don't install docs of internal openssl
* Tue Dec 10 2013 Oleg Girko <ol@infoserver.lv> 0.8.6-1
- Update to 0.8.6
* Tue Jul  2 2013 Oleg Girko <ol@infoserver.lv> 0.8.3-1
- Update to 0.8.3
* Mon Apr  8 2013 Oleg Girko <ol@infoserver.lv> 0.8.1-1
- Update to 0.8.1
- Enabled QRCODE
* Wed Jan 16 2013 Oleg Girko <ol@infoserver.lv> 0.7.2-1
- Update to 0.7.2
- Rebuild for Fedora 18
* Wed May 30 2012 Oleg Girko <ol@infoserver.lv> 0.6.2-1
- Update to 0.6.2
- Enabled UPNP
* Fri Feb  3 2012 Oleg Girko <ol@infoserver.lv> 0.5.2-1
- Update to 0.5.2
- Changed group to Applications/Internet
- Enabled Qt GUI build
* Thu Jun  2 2011 Oleg Girko <ol@infoserver.lv> 0.3.21-1
- Update to 0.3.21
